de.esprit.netsuite.client.abo.std

## Class ServerStatisticABO

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.AbstractCrossPlatformObject<C,S>
      - - de.esprit.netsuite.server.core.AccessibleServerObject<C,S>
        - - de.esprit.netsuite.server.abo.AbstractABO<C,S,I>
          - - de.esprit.netsuite.server.abo.AbstractSingletonABO<ClientContext,ServerContext,ServerStatisticABO>
            - - de.esprit.netsuite.client.abo.std.ServerStatisticABO

- All Implemented Interfaces:
    Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<ClientContext>, CrossPlatformObject<ClientContext,ServerContext>, LastAccessed, AliveBusinessObject<ClientContext,ServerContext,ServerStatisticABO>, RemoteLockable, PermissionControlled, ServerObject<ServerContext>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public final class ServerStatisticABO
      extends AbstractSingletonABO<ClientContext,ServerContext,ServerStatisticABO>

  This ABO provides the server side singleton `ServerStatistic` instance to clients. It contains a thread that updates the accessing clients in regular time frames.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_REFRESH_DELAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerStatisticABO(ClientContext clientCtx)`
    `ServerStatisticABO(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerStatisticABO` | `fetch(boolean withLock)`
    `ServerStatistic` | `getServerStatistic()`
    `boolean` | `isCacheResident()` Overridden to make singleton ABOs cache-resident by default
    `protected void` | `overtakeABOValues(ServerStatisticABO newABO)` Must be implemented by subclasses to copy their instance values
    `void` | `start()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractSingletonABO

      `createEditDialog, createPrimaryKey, getRenderIcon, instantiateOnServer`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractABO

      `addChangeListener, clone, compareTo, copyABOValues, create, createChangeGate, createOnServer, createPermissionDefinition, deepClone, delete, deleteOnServer, drop, dropOnServer, equals, fetch, findCachedABOs, fireABOInitialized, getPermissionDefinition, getPrimaryKey, getRenderColor, getRenderText, getResourceName, getResourceType, getUpdateCount, hashCode, isbeingAccessed, isLockedByMe, isNumb, isOnline, isVisibleInClientMonitor, receivedUpdateEvent, refetch, removeChangeListener, setLocked, setNumb, update, update, updateOnServer`

    - ### Methods inherited from class de.esprit.netsuite.server.core.AccessibleServerObject

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

    - ### Methods inherited from class de.esprit.netsuite.netdata.AbstractCrossPlatformObject

      `checkOnClient, checkOnServer, getClientContext, getLogChannel, getServerContext, isLogDebug, isLogVerbose, isOnClient, isOnServer, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setClientContext, setLogChannel, setServerContext`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.CrossPlatformObject

      `isOnClient, isOnServer, setClientContext, setServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.LastAccessed

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

- - ### Field Detail

    - #### DEFAULT_REFRESH_DELAY

          public static final int DEFAULT_REFRESH_DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerStatisticABO

          public ServerStatisticABO(ServerContext serverCtx)

    - #### ServerStatisticABO

          public ServerStatisticABO(ClientContext clientCtx)

  - ### Method Detail

    - #### start

          public void start()

    - #### getServerStatistic

          public ServerStatistic getServerStatistic()

    - #### overtakeABOValues

          protected void overtakeABOValues(ServerStatisticABO newABO)

      Description copied from class: `AbstractABO`
      Must be implemented by subclasses to copy their instance values
      Specified by:
        `overtakeABOValues` in class `AbstractABO<ClientContext,ServerContext,ServerStatisticABO>`

    - #### isCacheResident

          public final boolean isCacheResident()

      Description copied from class: `AbstractSingletonABO`
      Overridden to make singleton ABOs cache-resident by default
      Specified by:
        `isCacheResident` in interface `AliveBusinessObject<ClientContext,ServerContext,ServerStatisticABO>`
      Overrides:
        `isCacheResident` in class `AbstractSingletonABO<ClientContext,ServerContext,ServerStatisticABO>`

    - #### fetch

          public ServerStatisticABO fetch(boolean withLock)
                                   throws java.lang.Exception

      Overrides:
        `fetch` in class `AbstractSingletonABO<ClientContext,ServerContext,ServerStatisticABO>`
      Throws:
        `java.lang.Exception`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractABO<ClientContext,ServerContext,ServerStatisticABO>`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `AbstractABO<ClientContext,ServerContext,ServerStatisticABO>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.